Subject: Re: bug#36597: 27.0.50; rehash hash tables eagerly in pdumper

From: Paul Eggert <[email-masked]>
Date: Sat, 20 Jul 2019 23:32:03 -0700

Pip Cet wrote:
> I don't see anything in there that
> would drastically affect performance or memory footprint.

The drastic change to the memory footprint occurs because the old code 
incorrectly computed the length of the hash table's vectors, and over-allocated 
them in some cases. The over-allocation factor could get worse with each hash 
table resize, following a Fibonacci-like sequence. I think this was a bug I 
introduced in 2011-07-21T17:41:[email-masked].